# Plank Reloaded

## What Is Plank Reloaded?

Plank Reloaded is a fork of the original Plank project, focusing on Cinnamon desktop compatibility
and modernized features. Like its predecessor, it aims to be the simplest dock on the planet,
providing just what a dock needs and absolutely nothing more. It remains a library which can be
extended to create other dock programs with more advanced features.

### Key Improvements in Plank Reloaded:
* Enhanced Cinnamon desktop environment compatibility
* Updated Battery Docklet with modern UPower integration
* Fixed Clock Docklet settings crash
* General code cleanup and modernization

## Reporting Bugs

For Plank Reloaded specific issues, please report them here:
[Plank Reloaded Issues](https://github.com/zquestz/plank-reloaded/issues)

For reference, original Plank bugs were tracked at: [Plank Launchpad](https://bugs.launchpad.net/plank)

Please search for existing bugs before reporting new ones.

## Where Can I Get Help?

### For Plank Reloaded:
* GitHub Issues: [https://github.com/zquestz/plank-reloaded/issues](https://github.com/zquestz/plank-reloaded/issues)

### Original Plank Resources:
* IRC: `#plank` on FreeNode - `irc://irc.freenode.net/#plank`
* Common problems and solutions: [Plank Answers](https://answers.launchpad.net/plank)

## How Can I Get Involved?

### Plank Reloaded:
* Visit the GitHub page: [https://github.com/zquestz/plank-reloaded](https://github.com/zquestz/plank-reloaded)
* Submit pull requests
* Report issues
* Contribute to development

### Original Plank Resources:
* Launchpad page: [https://launchpad.net/plank](https://launchpad.net/plank)
* Translations: [https://translations.launchpad.net/plank](https://translations.launchpad.net/plank)

## API Documentation

This project intends to be API compatible with the original Plank project.

Original Plank documentation: [API Docs](http://people.ubuntu.com/~ricotz/docs/vala-doc/plank/index.htm)

## Development Resources

Need more information about Vala?

* [Vala Project](https://wiki.gnome.org/Projects/Vala)
* [Vala Manual](https://wiki.gnome.org/Projects/Vala/Manual)

Refer to the HACKING file for further instructions.
